cdvdcontrol(1)

NAME
cdvdcontrol - Tool to get full control on your Plextor optical device

SYNOPSIS
cdvdcontrol -l
cdvdcontrol [-d DEVICE] [OPTION]

DESCRIPTION
pxcontrol gives you access on all features that are supported by your Plextor drive. This tool is what you want, when you use optical devices which were manufactured by Plextor.
-l    scan busses for all available optical devices

FEATURES
cdvdcontrol supports the following features: AutoStrategy, BitSetting, DiagnoseMode, GigaRec, Hide-CDR, MediaLock, PlexEraser, PoweRec, SecuRec, SilentMode, SingleSession, Simulation, SpeedRead and VariRec. The available features depend on your drive. Take a look at http://www.plextor.com or simply read the glossar on:
http://qpxtool.sourceforge.net/glossar.html to see supported features.

DEVICE
can be an IDE, SCSI, SATA, USB or FireWire connected optical drive. Not all SATA controller support all Plextor features. Linux:
/dev/hdX: IDE device
/dev/scdX: Linux 2.4: SATA, SCSI, USB device, or IDE device via ide-scsi emulation
/dev/srX: Linux 2.6: IDE device via new ATA layer, SCSI or USB device
OpenBSD/NetBSD:
/dev/rcdX
FreeBSD:
/dev/cd: SCSI device
/dev/acd: ATA device
MacOS X:
/dev/disk:
win32:
C:,D:,E:, ... X:,Y:,Z:

AutoStrategy
AutoStrategy (AS) is a Feature to determine a writing strategy for an inserted empty DVD media. Writing strategies are saved in the AutoStrategy DataBase (ASDB). This command needs a specified DEVICE. --as-mode mode
        select the AutoStrategy mode

    auto     drive selects the strategy from the ASDB or from
            the firmware. If there is no entry available, a
            new one is created.
    forced    creates a new ASDB entry, even if there is already
             one available in the ASDB.
    on    an existing AS from the DB is used. If there is no
             entry, the strategy from the firmware is used.
    off    only strategy from the firmware is used. If there
             is no entry available, the default strategy is used. --as-list
        view complete ASDB list. --as-on #
        activate ASDB entry number X (value between 1-10). --as-off #
        deactivate ASDB entry number X (value between 1-10). --as-del #
        delete ASDB entry number X (value between 1-10). --as-clear
        remove all ASDB entries form the ASDB. --as-create mode
        creates an AS database entry.
        Mode should be combination if [q|f] and [a|r]
       q    quick AS creating.
       f    full AS creating. Media is written.
       a    AS is appended to the list in the ASDB.
       r    AS entry replaces relying ASDB entry.
--as-load #
        load an ASDB from a file.
Experimental --as-save #
        save ASDB into file. For PX-755/PX-760 only!
        PX-755 export maybe buggy.
Experimental

BitSetting
due to some compatibility problems of some DVD readers, it could make sense to use BitSetting, which sets the Booktype of media to DVD-ROM. This OPTION requiers a specified DEVIVE. --bitset+r mode
            enable / disable Bitsetting for DVD+R.
    on    defines DVD+R as DVD-ROM media.
    off    keeps DVD+R media as what it is.
--bitset+rdl mode
        enable / disable Bitsetting for DVD+R DL.
    on    define DVD+R DL media as DVD-ROM media.
    off    keeps DVD+R DL media as what it is.

DiagnoseMode
are OPTIONS to detect the drive itself, the current settings and the available features.
-c, --current    show current status of selected DEVICE.
-h, --help    show help.
-l, --scan    search all busses and list detected drives.
-s, --supported    show features supported by selected DEVICE.
-v    show output in verbose mode.

GigaRec
Increase (higher value) or Decrease (lower value) the regular capacity, which can be written on CD media. Ejecting the disc results in flushing the GigaRec settings. Buffer UnderrunProof is disabled while GigaRec is active. The recording speed is limited to 4x or 8x DAO. Use cdrdao or cdrskin for writing media with GigaRec function. Otherwise if you use cdrecord your values are flushed. GigaRec settings need a specified DEVICE. --gigarec #
         set GigaRec to <state>, which is a value in the
        range of 0.6, 0.7, ..., 1.3, 1.4 or off.

Hide-CDR
prevents media from being detected by an application as CD-R to defeat the ATIP protection. Hide-CDR settings need a specified DEVICE. --hcdr [on|off]
        enable / disable Hide-CDR.
           on    enable Hide-CDR. Defeating ATIP protection.
           off    disable Hide-CDR.

MediaLock
can lock your media to prevent an accidently opening. It is always a good idea lock the drive. This OPTION needs a specified DEVICE.
--lock
        enable lock modus. Media can not be removed.
--unlock
        disable lock modus. Media can be removed.

PlexEraser
destroys the data on your CD/DVD and makes it unreadable. DEVICE needs to be specified for this command. --destruct mode
        WARNING: command destroys your media.

    quick    destroy only the lead in of CD/DVD media.
    full    destroy complete CD/DVD media.

PoweRec
Plextor Optimised Writing Error Reduction Control (PoweRec) should detect the optimized writing speed for your media-combination. Higher recording speeds than recommended can result in increased writing errors. PoweRec should prevent you from these errors. DEVICE needs to be specified for this command. --powerec [on|off]
        enable / disable PoweRec.
    on    enable PoweRec. enabled by default.
    off    disable PoweRec.

SecuRec
Creates a password protected CD-R. To access a password protected CD-R, it is necessary to enter the correct password and to specify the DEVICE --nosecurec
       disable SecuRec. --securec <passwd>
        enable SecuRec and use a given password. <passwd>
        must have at least four, but not more than ten characters.

SilentMode
Allows some speed finetuning on your drives. Lower values result in more silence. You can specify read speed and tray loading speed. DEVICE must be specified for this command. All settings will be active after reboot. ;-) pxfw /dev/hdX -r --silent [on|off]
        enable / disable SilentMode
    on    enables SilentMode. This will give you access to
            further speed and read settings. Default is on.
    off    disables SilentMode.
--sm-access mode
        set access time to slow or fast. This has only an affect in combination with CD/DVD speed setting.
    fast    enables fast access mode. Use with speed setting.
    slow    enables slow access mode. Use with speed setting.
--sm-cd-rd #
        set maximum read speed for CDs. Default is 32x.
        Select speed value from 4, 8, 24, 32, 40, 48. --sm-cd-wr #
        set maximum write speed for CDs. Default is 32x.
        Select speed value from 4, 8, 16, 32, 48. --sm-dvd-rd #
        set maximum read speed for DVDs. Default is 12x.
        Select speed value from 2, 5, 8, 12, 16. --sm-eject #
        set tray eject speed. Default is 0.
        Select speed value from 0, 1, ..., 80. --sm-load #
        set tray load speed. Default is 63.
        Select speed value from 0, 1, ... , 80. --sm-nosave
       do not save SilentMode settings

SingleSession
shows only the first session of the CD. You have to enable this feature before you insert the media. This is a useful option for copy protected audio discs. DEVICE must be specified for this command. --sss mode
        enable / disable SingleSession. Default is off.
          on    enable SingleSession mode for CD.
          off    disable SingleSession mode for CD.

Simulation
allows DVD+R writing simulation. DEVICE must be specified for this command. --dvd-testwrite [on|off]
    mode    enable / disable DVD+R writing simulation
    on    enable DVD+R writing simulation mode
    off    disable DVD+R writing simulation mode

SpeedRead
allows increasing the read speed. This deactivates the so called Rip Lock for Video-DVDs. You can also deativate this feature by keeping the open button of your empty DVD drive pressed for three seconds. SpeedRead can increase vibrations and read errors. DEVICE must be specified for this command. --spdread mode
        enable / disable SpeedRead
    on    enable SpeedRead. Disable Rip Lock.
    off    disable SpeedRead. Set Rip Lock.

VariRec
allows some laser power calibration in a range from -4 to +4. The recording speed is limited to 4x or 8x on CD-R media and to 2x, 2.4x or 4x on DVD media. The recording strategy can also be changed relying on the used media dye. The writing strategies are determining and documenting your own strategies. You would determine the differences by selecting a stretegy and doimg a writing test. VariRec settings persist after a reboot. DEVICE must be specified for this command. Use cdrdao or cdrskin for writing media with VariRec function. Otherwise if you use cdrecord, your values are flushed. --varirec-cd #
        set VariRec power for CD writing or set it to off.
        Select value -4, -3, -2, -1, 0, +2, +2, +3, +4 --varirec-cd-strategy mode
        select writing strategy for CDs depending
        on the used dye (Azo, Cyanine, PhtaloCyanine):
        select: default, azo, cya, pha, phb, phc, phd --varirec-dvd #
        set VariRec power value for DVD writing or set it to off.
        Select value -4, -3, -2, -1, 0, +2, +2, +3, +4 --varirec-dvd-strategy #
        select a predefined DVD writing strategy.
        select value 0, 1, 2, 3, 4, 5, 6, 7

PioQuiet
Pioneer QuietMode feature.
--pio-limit [on|off]
        turns on/off read speed limit by 24X for CD and 8X for DVD --pio-quiet mode
        sets Pioneer performance profile
        available values: quiet, perf, std
            quiet turn drive into silent mode
            perf turn drive into performance ptomized mode
            std reset drive to standard mode
--pio-nosave
        don't make Pioquiet setting permanent

EXAMPLES
cdvdcontrol -l
        list all available optical devices. cdvdcontrol -d /dev/hdc --supported
        show features that are supported by drive hdc. cdvdcontrol -d /dev/hda --as-create q a
        create a new ASDB entry for device hda and the
        inserted DVD media. Strategy is created quickly
        and appended to the already existing ASDB list. cdvdcontrol -d /dev/sr2 --gigarec 0.9
        prepare CD for GigaRec 0.9 recording. Use cdrskin
        or cdrdao/k3b for writing process. please report man page improvements to T.Maguin@web.de